UpdateFindingRoutingRule
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FindingRoutingRule.UpdateFindingRoutingRule(ctx, operations.C1APIFindingV1FindingRoutingRuleServiceUpdateFindingRoutingRuleRequest{
RoutingRuleID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateFindingRoutingRuleResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.findingRoutingRule.updateFindingRoutingRule({
routingRuleId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/findings/routing-rules/{routing_rule_id}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"routingRule": {
"action": {
"createTask": {
"policyId": "<string>"
},
"notify": {},
"suppress": {
"reason": "<string>"
}
},
"appId": "<string>",
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"id": "<string>",
"priority": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/findings/routing-rules/{routing_rule_id}/update"
payload = { "routingRule": {
"action": {
"createTask": { "policyId": "<string>" },
"notify": {},
"suppress": { "reason": "<string>" }
},
"appId": "<string>",
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": True,
"id": "<string>",
"priority": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
routingRule: {
action: {createTask: {policyId: '<string>'}, notify: {}, suppress: {reason: '<string>'}},
appId: '<string>',
condition: '<string>',
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
displayName: '<string>',
enabled: true,
id: '<string>',
priority: 123,
templateId: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/findings/routing-rules/{routing_rule_id}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"routingRule": {
"action": {
"createTask": {
"policyId": "<string>"
},
"notify": {},
"suppress": {
"reason": "<string>"
}
},
"appId": "<string>",
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"id": "<string>",
"priority": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Finding Routing Rules
Update Finding Routing Rule
Update an existing finding routing rule’s match criteria or target policy.
POST
/
api
/
v1
/
findings
/
routing-rules
/
{routing_rule_id}
/
update
UpdateFindingRoutingRule
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FindingRoutingRule.UpdateFindingRoutingRule(ctx, operations.C1APIFindingV1FindingRoutingRuleServiceUpdateFindingRoutingRuleRequest{
RoutingRuleID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateFindingRoutingRuleResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.findingRoutingRule.updateFindingRoutingRule({
routingRuleId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Body
application/json
The UpdateFindingRoutingRuleRequest message.
The FindingRoutingRule message.
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
The UpdateFindingRoutingRuleResponse message.
The FindingRoutingRule message.
Show child attributes
Show child attributes
Was this page helpful?
⌘I